Create a sub-user
curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v2/tl-isps/orders/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity": 123,
"pool": "<string>"
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v2/tl-isps/orders/create"
payload = {
"quantity": 123,
"pool": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 123, pool: '<string>'})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v2/tl-isps/orders/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"status": "<string>",
"quantity": 123,
"orderTime": "2023-11-07T05:31:56Z",
"expiry": "2023-11-07T05:31:56Z",
"pool": "<string>",
"proxies": [
"<string>"
]
}{
"statusCode": 400,
"message": "Not enough reseller data left",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}TL API V2
Create a sub-user
To create a sub-user, you need to provide the following information:
- Quantity: This is the number of proxies you want to create. The exact number depends on the pool you select:
If the pool name starts with “SN_” which is a subnet pool, then using a pass value of 256 will generate 256 IP addresses. For all other pools, using a pass value of 1 will generate only 1 IP address per pool.
-
Pool: The pool of proxies to create the order from. (Check get all pools (v2/tl-isps/pools) endpoint)
Note: Proxies will expire in 30 days
POST
/
proxy_api
/
v2
/
tl-isps
/
orders
/
create
Create a sub-user
Authorizations
[just text field] Please enter token in following format: Bearer
⌘I

